summaryrefslogtreecommitdiff
path: root/dev-python/ctypescrypto
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/ctypescrypto
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/ctypescrypto')
-rw-r--r--dev-python/ctypescrypto/Manifest1
-rw-r--r--dev-python/ctypescrypto/ctypescrypto-0.5.ebuild41
-rw-r--r--dev-python/ctypescrypto/ctypescrypto-9999.ebuild41
-rw-r--r--dev-python/ctypescrypto/metadata.xml15
4 files changed, 98 insertions, 0 deletions
diff --git a/dev-python/ctypescrypto/Manifest b/dev-python/ctypescrypto/Manifest
new file mode 100644
index 000000000000..26b4a90612f0
--- /dev/null
+++ b/dev-python/ctypescrypto/Manifest
@@ -0,0 +1 @@
+DIST ctypescrypto-0.5.tar.gz 44667 BLAKE2B abf24a4a5dc5ea1d977427f781e44433aaeac716b4f1f8d6f23e7f8de7debae75cfff80e72c369b64b8b9299f4b058763d42c5f21cd499f9b5689481afa5a538 SHA512 96ca12145be503a5b343d936cde172039057e5a2308fb6f6f65e14fe859d4e98d93ffb996849e391cf0c474425ee6243fd4c7998b088938a21456965d135188f
diff --git a/dev-python/ctypescrypto/ctypescrypto-0.5.ebuild b/dev-python/ctypescrypto/ctypescrypto-0.5.ebuild
new file mode 100644
index 000000000000..c6686d39c74e
--- /dev/null
+++ b/dev-python/ctypescrypto/ctypescrypto-0.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to some openssl function based on ctypes module"
+HOMEPAGE="https://github.com/vbwagner/ctypescrypto"
+if [ "${PV}" = "9999" ]; then
+ EGIT_REPO_URI="https://github.com/vbwagner/ctypescrypto.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/vbwagner/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="gost test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( gost )"
+
+RDEPEND="gost? ( dev-libs/gost-engine:= )"
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # Remove failed tests
+ rm tests/testpkey.py || die "rm failed"
+ # Disable test
+ sed -i '/test_verify_by_filestore/i\\ @unittest.skip("disable")' \
+ tests/testx509.py || die "sed failed for tests/testx509.py"
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover -v tests || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/ctypescrypto/ctypescrypto-9999.ebuild b/dev-python/ctypescrypto/ctypescrypto-9999.ebuild
new file mode 100644
index 000000000000..c6686d39c74e
--- /dev/null
+++ b/dev-python/ctypescrypto/ctypescrypto-9999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to some openssl function based on ctypes module"
+HOMEPAGE="https://github.com/vbwagner/ctypescrypto"
+if [ "${PV}" = "9999" ]; then
+ EGIT_REPO_URI="https://github.com/vbwagner/ctypescrypto.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/vbwagner/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="gost test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( gost )"
+
+RDEPEND="gost? ( dev-libs/gost-engine:= )"
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # Remove failed tests
+ rm tests/testpkey.py || die "rm failed"
+ # Disable test
+ sed -i '/test_verify_by_filestore/i\\ @unittest.skip("disable")' \
+ tests/testx509.py || die "sed failed for tests/testx509.py"
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover -v tests || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/ctypescrypto/metadata.xml b/dev-python/ctypescrypto/metadata.xml
new file mode 100644
index 000000000000..f2f1f00a43e3
--- /dev/null
+++ b/dev-python/ctypescrypto/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <maintainer type="person">
+ <email>zerochaos@gentoo.org</email>
+ <name>Rick Farina</name>
+ </maintainer>
+ <use>
+ <flag name="gost">Build with support for GOST Message Authentication Code</flag>
+ </use>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>